/*------- newsletter area start -------*/
.newsletter-inner {
    @include flexbox;
    @include align-items(center);
    // responsive
    @media #{$tablet-device, $large-mobile} {
        display: block;
    }
    .newsletter-title {
        padding-right: 40px;
        // responsive
        @media #{$desktop-device} {
            padding-right: 20px;
        }
        @media #{$large-mobile} {
            text-align: center;
            padding-right: 0;
        }
        h3 {
            color: $black-soft;
            font-size: 24px;
            font-weight: 700;
            line-height: 26px;
            text-transform: uppercase;
            // responsive
            @media #{$desktop-device} {
                font-size: 17px;
            }
            @media #{$tablet-device} {
                padding-bottom: 10px;
            }
            @media #{$large-mobile} {
                padding-bottom: 15px;
                font-size: 20px;
            }
        }
    }
    .newsletter-box {
        form {
            @include flexbox;
            input {
                max-width: 315px;
                flex: 1 0 315px;
                padding: 10px;
                background-color: $white;
                border: none;
                @media #{$laptop-device, $desktop-device, $tablet-device, $large-mobile} {
                    max-width: 100%;
                    flex: 1 0 auto;
                }
            }
            button {
                &.newsletter-btn {
                    max-width: 50px;
                    flex: 1 0 50px;
                    height: 50px;
                    text-align: center;
                    cursor: pointer;
                    z-index: 11;
                    background-color: $black-soft;
                    i {
                        color: $white;
                        font-size: 20px;
                        line-height: 54px;
                    }
                    &:hover {
                        background-color: $theme-color;
                    }
                    &.hm_5 {
                        background-color: $theme-color;
                    }
                }
            }
        }
    }
}
.social-share-area {
    @include flexbox;
    @include align-items(center);
    @include justify-content(flex-end);
    // responsive
    @media #{$tablet-device} {
        display: block;
        text-align: right;
    }
    @media #{$large-mobile} {
        display: block;
        text-align: center;
        margin-top: 30px;
    }
    h3 {
        color: $black-soft;
        font-size: 24px;
        font-weight: 700;
        line-height: 26px;
        text-transform: uppercase;
        padding-right: 30px;
        // responsive
        @media #{$desktop-device} {
            font-size: 17px;
        }
        @media #{$tablet-device} {
            padding-bottom: 10px;
            text-align: left;
            padding-left: 35px;
        }
        @media #{$large-mobile} {
            font-size: 20px;
            padding-right: 0;
            padding-bottom: 15px;
        }
    }
    .social-icon {
        a {
            color: $black-soft;
            height: 50px;
            width: 50px;
            line-height: 58px;
            text-align: center;
            font-size: 20px;
            margin-left: 8px;
            display: inline-block;
            @include border-radius(50%);
            background-color: $white;
            // Responsive
            @media #{$extra-small-mobile} {
                margin-left: 5px;
            }
            &:hover {
                color: $white;
                background-color: $theme-color;
            }
        }
    }
}
.newsletter-inner,
.social-share-area {
    &.white-bg {
        h3 {
            color: $white;
        }
    }
}
// Email successfully message
.mailchimp-alerts {
    font-size: 16px;
    color: $theme-color;
    right: 0;
    text-align: right;
    padding: 10px 20px;
    position: absolute;
}
/*------- newsletter area end -------*/

/*------ footer widget area start ------*/
.footer-widget {
    padding-right: 50px;
    // responsive
    @media #{$large-display} {
        padding-right: 100px;
    }
    @media #{$laptop-device,$desktop-device} {
        padding-right: 0;
    }
    @media #{$tablet-device, $large-mobile} {
        margin-bottom: 30px;
        padding-right: 0;
    }
    .footer-widget-title {
        padding-bottom: 30px;
        h3 {
            color: $black-soft;
            display: inline;
            font-size: 18px;
            font-weight: 700;
            line-height: 20px;
            text-transform: uppercase;
            position: relative;
            &:before {
                bottom: -10px;
                left: 0;
                width: 80px;
                height: 3px;
                content: "";
                position: absolute;
                background-color: $theme-color;;
            }
        }
    }
    .footer-widget-body {
        p {
            color: $paragraph-light;
            font-size: 15px;
        }
    }
}
.useful-link {
    li {
        a {
            color: $paragraph-light;
            font-size: 15px;
            font-weight: 400;
            display: block;
            padding: 10px 0;
            text-transform: capitalize;
            &:hover {
                color: $theme-color;
                padding-left: 5px;
            }
            &:first-child {
                padding-top: 0;
            }
        }
    }
}
.address-box {
    li {
        margin-bottom: 20px;
        &:last-child {
            margin-bottom: 0;
        }
        span {
            color: $black-soft;
            font-size: 16px;
            font-weight: 600;
            line-height: 20px;
            display: block;
            padding-bottom: 5px;
            text-transform: uppercase;
        }
        p {
            color: $paragraph-light;
            font-size: 15px;
            font-weight: 300;
            a {
                color: $paragraph-light;
                &:hover {
                    color: $theme-color;
                    text-decoration: underline;
                }
            }
        }
    }
}
.white-bg {
    .footer-widget {
        .footer-widget-title {
            h3 {
                color: $white;
            }
        }
        .footer-widget-body {
            p {
                color: #bdbdbd;
            }
            .useful-link {
                li {
                    a {
                        color: #bdbdbd;
                        &:hover {
                            color: $theme-color;
                        }
                    }
                }
            }
            .address-box {
                li {
                    span {
                        color: $white;
                    }
                    p {
                        a {
                            color: #bdbdbd;
                            &:hover {
                                color: $theme-color;
                            }
                        }
                    }
                }
            }
        }
    }
}

// footer logo
.footer-logo {
    @media #{$small-mobile} {
        max-width: 30%;
    }
    @media #{$extra-small-mobile} {
        max-width: 40%;
    }
}

/*------ footer widget area end ------*/

/*------- footer bottom area start -------*/
.footer-bottom-area {
    @media #{$tablet-device} {
        margin-top: -3px;
    }
}
.copyright-text {
    p {
        color: $black-soft;
        font-size: 14px;
        line-height: 20px;
        text-transform: uppercase;
        @media #{$extra-small-mobile} {
            font-size: 13px;
        }
        a {
            color: $theme-color;
        }
    }
    // Responsive
    @media #{$large-mobile} {
        text-align: center;
    }
}
.footer-payment {
    text-align: right;
    // Responsive
    @media #{$large-mobile} {
        text-align: center;
        padding-bottom: 10px;
    }
}

.copyright-text {
    &.white-bg {
        p {
            color: #bdbdbd;
        }
    }
}
/*------- footer bottom area end -------*/